summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-01-24 23:31:59 -0500
committerJune McEnroe <june@causal.agency>2020-01-24 23:31:59 -0500
commit8daeba069e3ea7d22d2f925ece89595fd1b08e43 (patch)
treecf5642f396d84c1fd0bbd5c3adda86f9a1ccb596
parentAdd Love Beyond Body, Space & Time (diff)
downloadsrc-8daeba069e3ea7d22d2f925ece89595fd1b08e43.tar.gz
src-8daeba069e3ea7d22d2f925ece89595fd1b08e43.zip
Capture standard error and allow failure in up -c
-rw-r--r--bin/up.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/up.sh b/bin/up.sh
index 1b44f9b8..0ff9e69b 100644
--- a/bin/up.sh
+++ b/bin/up.sh
@@ -28,7 +28,7 @@ uploadText() {
 uploadCommand() {
 	temp
 	echo "$ $*" > "${temp}/exec.txt"
-	"$@" >> "${temp}/exec.txt"
+	"$@" >> "${temp}/exec.txt" 2>&1 || true
 	upload "${temp}/exec.txt"
 }